Subject: bug#40895: closed (Should be solved by new importer)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 17 Dec 2020 15:27:03 +0000

Your bug report

#40895: import crate: Relaxed version selection

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
40895: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=40895
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Should be solved by new importer
From: Hartmut Goebel <[email-masked]>
To: [email-masked], [email-masked], [email-masked]
Date: Thu, 17 Dec 2020 16:26:39 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

This issue is solved by the new importer.

-- 
Regards
Hartmut Goebel

| Hartmut Goebel          | [email-masked]               |
| www.crazy-compilers.com | compilers which you thought are impossible |

Subject: import crate: Relaxed version selection
From: Hartmut Goebel <[email-masked]>
To: bug-guix <[email-masked]>
Date: Mon, 27 Apr 2020 09:31:34 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

If (manually) importing dependencies for some package requiring "other
^0.2", I would like the importer to fetch the newest version of
other-0.2.x automatically.

As it is now, I need to specify the exact version number, e.g. "guix
import crate [email-masked]" - and the get the version number I need to go
to crates.io, search the package and search the list of available
versions. The importer can do this much more efficient.

This could be implemented like this:

- If the version giben ("@0.2.4") matches an version available, use this
version.

- Otherwise, if the version giben ("@0.2") is a prefix of some available
version, use the highest/newest of these versions

-- 
Regards
Hartmut Goebel

| Hartmut Goebel          | [email-masked]               |
| www.crazy-compilers.com | compilers which you thought are impossible |